Bug 2467 - option missplled in the man-page
: option missplled in the man-page
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grep)
: unstable
: all Linux
: P5 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-03 17:52 by
Modified: 2005-09-04 21:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-03 17:52:29
The man-page for grep writes:

       --line-buffering
              Use line buffering, it can be a performance penality.

But grep --help says:

      --line-buffered       flush output on every line

At least, the spelling is different. (And the description in the man-page is not as descriptive as in `grep --help\': I don\'t understand the man-page\'s description of the option, but I do inderstand the other.)

---
$ grep --line-buffering a
grep: unrecognized option `--line-buffering\'
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help\' for more information.

---
rpm -qf /usr/share/man/man1/grep.1.bz2
grep-2.5.1-alt0.2.cvs
------- Comment #1 From 2003-10-16 12:33:11 -------
fixed в grep-2.5.1-alt0.3.cvs